cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/clients/<clientId>/notes?limit=25&filter=all"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"notes": [
{
"noteId": "66f7b8b1e13c8d25f4d3d92a",
"title": "Check-in",
"notes": "Follow up next week.",
"date": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z",
"pinned": false,
"visibleToClient": false,
"tags": [
"<string>"
],
"mentions": [
{
"id": "coach-1",
"name": "Coach One"
}
],
"attachments": [
{
"documentId": "66f7b8b1e13c8d25f4d3d93a",
"name": "intake.pdf",
"size": 1200,
"type": "application/pdf"
}
],
"coach": {
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "John Doe"
}
}
],
"pagination": {
"filter": "all",
"hasMore": false,
"limit": 25,
"nextCursor": "<string>",
"returnedItems": 10,
"totalItems": 42
},
"counts": {
"all": 42,
"notes": 30,
"pinned": 3,
"shared": 12
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Client notes
List client notes
GET
/
public
/
v1
/
clients
/
{clientId}
/
notes
cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/clients/<clientId>/notes?limit=25&filter=all"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"notes": [
{
"noteId": "66f7b8b1e13c8d25f4d3d92a",
"title": "Check-in",
"notes": "Follow up next week.",
"date": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z",
"pinned": false,
"visibleToClient": false,
"tags": [
"<string>"
],
"mentions": [
{
"id": "coach-1",
"name": "Coach One"
}
],
"attachments": [
{
"documentId": "66f7b8b1e13c8d25f4d3d93a",
"name": "intake.pdf",
"size": 1200,
"type": "application/pdf"
}
],
"coach": {
"coachId": "66f7b8b1e13c8d25f4d3d90a",
"name": "John Doe"
}
}
],
"pagination": {
"filter": "all",
"hasMore": false,
"limit": 25,
"nextCursor": "<string>",
"returnedItems": 10,
"totalItems": 42
},
"counts": {
"all": 42,
"notes": 30,
"pinned": 3,
"shared": 12
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Query Parameters
Example:
25
Available options:
all, notes, pinned, shared ⌘I